config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

for i in /etc/courier/authlib/*.new; do
    config $i
done

if ! grep -q vmail /etc/group; then
    groupadd vmail
fi

if ! grep -q vmail /etc/passwd; then
    useradd -g vmail -c "The virtual mail user" -d /home/vmail -s /bin/false vmail
fi

chmod 700 /etc/courier
chown vmail:vmail /etc/courier
chown vmail:vmail /etc/courier/authlib
chmod 750 /var/spool/authdaemon
chgrp vmail /var/spool/authdaemon

( cd usr/lib/courier-authlib ; rm -rf libauthldap.so )
( cd usr/lib/courier-authlib ; ln -sf libauthldap.so.0.0.0 libauthldap.so )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthsasl.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthsasl.so.0.0.0 libcourierauthsasl.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthcustom.so )
( cd usr/lib/courier-authlib ; ln -sf libauthcustom.so.0.0.0 libauthcustom.so )
( cd usr/lib/courier-authlib ; rm -rf libauthuserdb.so )
( cd usr/lib/courier-authlib ; ln -sf libauthuserdb.so.0.0.0 libauthuserdb.so )
( cd usr/lib/courier-authlib ; rm -rf libauthmysql.so )
( cd usr/lib/courier-authlib ; ln -sf libauthmysql.so.0.0.0 libauthmysql.so )
( cd usr/lib/courier-authlib ; rm -rf libauthldap.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthldap.so.0.0.0 libauthldap.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthsasl.so )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthsasl.so.0.0.0 libcourierauthsasl.so )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthsaslclient.so )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthsaslclient.so.0.0.0 libcourierauthsaslclient.so )
( cd usr/lib/courier-authlib ; rm -rf libauthmysql.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthmysql.so.0.0.0 libauthmysql.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthcommon.so )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthcommon.so.0.0.0 libcourierauthcommon.so )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthsaslclient.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthsaslclient.so.0.0.0 libcourierauthsaslclient.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthpgsql.so )
( cd usr/lib/courier-authlib ; ln -sf libauthpgsql.so.0.0.0 libauthpgsql.so )
( cd usr/lib/courier-authlib ; rm -rf libauthuserdb.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthuserdb.so.0.0.0 libauthuserdb.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthcommon.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthcommon.so.0.0.0 libcourierauthcommon.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthpipe.so )
( cd usr/lib/courier-authlib ; ln -sf libauthpipe.so.0.0.0 libauthpipe.so )
( cd usr/lib/courier-authlib ; rm -rf libauthpipe.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthpipe.so.0.0.0 libauthpipe.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libcourierauth.so )
( cd usr/lib/courier-authlib ; ln -sf libcourierauth.so.0.0.0 libcourierauth.so )
( cd usr/lib/courier-authlib ; rm -rf libcourierauth.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libcourierauth.so.0.0.0 libcourierauth.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthcustom.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthcustom.so.0.0.0 libauthcustom.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthpgsql.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthpgsql.so.0.0.0 libauthpgsql.so.0 )
